Subject: Re: [bug#36469] [PATCH 0/2] 'guix pack' records environment variables

From: Ludovic Courtès <[email-masked]>
Date: Thu, 04 Jul 2019 11:22:12 +0200

Hi,

zimoun <[email-masked]> skribis:

> That's awesome !

Glad you like it!

>> The change for Singularity is similar.  I’ve tested it with an
>> instance of Singularity 3.2.0.  Unfortunately, we still have 2.x
>> in Guix and that doesn’t quite support the environment file, so I’ve
>> chosen to punt on this one.
>
> In `docker.scm` you replace %bootstrap-guile by guile-2.2, that's you
> are talking about?

No no, I was talking about Singularity 2.x, not Guile 2.x.  :-)

Thanks for your feedback,
Ludo’.